<?
require'config.php';
$align='left';
$title="Жалобы";
aut();
head();
###########SET
$r_id = 1;#ID Раздела
$f_id = 84;#ID Форума
###########
switch($mod){
default:

$q = $db->sql_query("select * from `users` where `id` ='".check(intval($_GET['nk']))."' limit 1");
$a = $db->sql_fetchrow($a);

if ($a['id'] == 0) {header ('Location: complaint?mod=error');}
if ($a[id]==$user[id]){header ('Location: complaint?mod=myne');}
if ($a['level'] > 6) {header ('Location: complaint?mod=stop');}

if(empty($_POST['text'])){
echo '<hr/>';
echo '<form action="complaint?nk='.check(intval($_GET['nk'])).'" method="post">';
echo 'Жалоба на пользователя '.$a['level'].''.nik($a['user']);

echo '<br /><br/ ><b>Ваш коментарий:</b><br/>';
echo '<textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="text"></textarea><br />';

echo '<br/><b>Укажите причину:</b><br/>';
echo '<select name="et">
<option value="Мат">Мат</option>
<option value="Оскарбление">Оскарбление</option>
<option value="Флуд">Флуд</option>
<option value="Расизм">Расизм</option>
<option value="Спам">Спам</option></select><br/><br/>';

echo '<br/><input type="submit" class="ibutton" value="Создать жалобу"/></form><br /><hr/>';
}
else
{
$text = check($_POST['text']);

$pr = check($_POST['et']);

$pri = 'Причина жалобы: [b]'.$pr.'[/b]

[b]Коментарий:[/b]';

$db->sql_query ("INSERT INTO forum_t (f_id,r_id,user_id,name,time,times,privat) VALUES ('$r_id','$f_id','$user[id]','Жалоба на $a[user]','$time','$time','$privat')");
$id=$db->sql_nextid();
$db->sql_query ("INSERT INTO forum_msg
(f_id,r_id,t_id,user_id,msg,time) VALUES
('$r_id','$f_id','".$id."','$user[id]','$pri
$text','".time()."')");
header ('Location: forum/tema_'.$id.'');
}

break;

case error:
echo '<b>Пользователь не найден в базе данных.</b>';
break;

case myne:
echo '<b>Жаловаться на себя,не логично!</b>';
break;

case stop:
echo '<b>Жаловатся на админов нельзя.</b>';
break;
}
if (check(intval($_GET['nk']))) {
echo gb.'<a href="/'.check(intval($_GET['nk'])).'">Назад в анкету <b>'.$a['user'].'</b></a></div>';
}
echo gb.'<a href="enter?">Прихожея</a>';

foot();
?>hr/
